/*
 * MutableString.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "MutableString.h"

namespace string {

void MutableString::appendSymbol(alphabet::Symbol&& symbol) {
	this->m_Data.push_back(std::move(symbol));
}

void MutableString::appendSymbol(const alphabet::Symbol& symbol) {
	this->m_Data.push_back(symbol);
}

} /* namespace string */
