/*
 * MutableString.h
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#ifndef MUTABLE_STRING_H_
#define MUTABLE_STRING_H_

#include <iostream>

#include "LinearString.h"

namespace string {

/**
 * Represents regular expression parsed from the XML. Regular expression is stored
 * as a tree of StringElement.
 */
class MutableString : public LinearString {
public:
	/**
	 * @param symbol to append
	 */
	void appendSymbol(alphabet::Symbol&& symbol);
	
	/**
	 * @param symbol to append
	 */
	void appendSymbol(const alphabet::Symbol& symbol);

};

} /* namespace string */

#endif /* MUTABLE_STRING_H_ */
