#ifndef GRAMMAR_TEST_H_
#define GRAMMAR_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GrammarTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( GrammarTest );
  CPPUNIT_TEST( testXMLParser );
  CPPUNIT_TEST( testUnrestrictedParser );

  CPPUNIT_TEST( testRegularParser );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testXMLParser();
  void testUnrestrictedParser();

  void testRegularParser();
};

#endif  // GRAMMAR_TEST_H_
