#ifndef AUTOMATON_TEST_H_
#define AUTOMATON_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class AutomatonTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( AutomatonTest );
  CPPUNIT_TEST( testXMLParser );
  CPPUNIT_TEST( testDFAParser );
  CPPUNIT_TEST( FSMStringParserTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testXMLParser();
  void testDFAParser();
  void FSMStringParserTest();
};

#endif  // AUTOMATON_TEST_H_
